Skip to main content
PATCH
Patch insight group

Authorizations

Authorization
string
header
required

Path Parameters

insightGroupKey
string<string>
required

The insight group key

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Insight group response

key
string
required

The insight group key

Example:

"default-production-all-apps"

name
string
required

The insight group name

Example:

"Production - All Apps"

projectKey
string
required

The project key

Example:

"default"

environmentKey
string
required

The environment key

Example:

"production"

createdAt
integer<int64>
required

The time the insight group was created

Example:

"1706701522000"

environment
object

Expanded details about the environment

scores
object

The scores for the insight group

scoreMetadata
object

Metadata about the insight scores, when expanded

applicationKeys
string[]

The application keys

Example: